Bug 1122733 - anaconda not recognize md sw raid
Summary: anaconda not recognize md sw raid
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 23:28 UTC by Frantisek Hanzlik
Modified: 2018-10-22 09:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:43:48 UTC
franta: needinfo-


Attachments (Terms of Use)
files from /tmp and /var/log in Fedora installation system (61.05 KB, application/x-xz-compressed-tar)
2014-07-23 23:28 UTC, Frantisek Hanzlik
no flags Details

Description Frantisek Hanzlik 2014-07-23 23:28:03 UTC
Created attachment 920376 [details]
files from /tmp and /var/log in Fedora installation system

Description of problem:
weird situation: after breaking installation (even before agreeing to own install) and starting new, anaconda not longer recognise pre-prepared SW MD devices.


Version-Release number of selected component (if applicable):
anaconda 20.25.15-1 from F20 x86_64 distro


Steps which I did:
PC with two HDDs, I had partitioned them as GPT before Fedora 20 x86_64 installation as follows:
sda1, sdb1: 1 MB type EF02
sda2, sdb2: 500 MB type FD00
sda3, sdb3: 2 GB type 8200
sda4, sdb4: 32 GB type FD00
sda5, sdb5: 32 GB type FD00
sda6, sdb6: ~300 GB type FD00
sda7, sdb7: ~300 GB type FD00

I create MD RAID1 device: md0 from sd[ab]2 metadata 1.0, md1 from sd[ab]4, md3 from sd[ab]5, etc., MD devices was fully synchonized before FC20 install.
Then start F20 installation from kickstart file (NFS main repo + HTTP some others, disk partitioning not specified for manual divide invocation in anaconda). There I select disks, standard partitions and manual partitioning. anaconda well recognized all partitions including MD devices. I select to format all partitions (BIOS boot on sda1/sdb1, swap on sda3/sdb3, ext4 on all MD devices) and confirm these changes in separate window where I was asked for formating these partitions. Then I wanted to check SW selection. I was not satisfied with and decided to quit installation and make some changes in package selection in kickstart file.

But when I then start new installation, anaconda then is not offering MD devices nor their partitions, it offer only non-MD partitions sda1,sda3,sdb1,sdb3 (BIOS boot and swap types). /proc/mdstat shows no RAID active, but it was possible assemble and run all MD manualy with mdadm, they was all synced. But when I did device rescan from partitioning page, no MD devices appears - and anaconda was stopping all before active MD RAIDs.

Then I end installation again and booted from SysResCD - it without problems found all MD devices and activate them, they was all synced. Then I format all MD devices as ext4 FS,and restart F20 installation again - but again without luck, anaconda still offers only non-SWRAID partitions and no MD devices.

I do not understand what anaconda could do with disks, at the beginning it worked properly, now not anymore.

attached is tarball from perhaps all significant what I found in /tmp/ and /var/log/. It is from last attempt, where I had ext4 formated all MD RAID1 devices.

Comment 1 David Lehman 2014-07-30 15:39:52 UTC
The devices that exist already when you start the installer will be under a group called "Unknown". I think you will find your arrays there.

Also, I see that you have specified 'bootloader --boot-drive=md0', which will not work. The boot drive must be an actual disk that is bootable from your firmware. Also, device names of the form 'md0' are no longer used at all during installation. You would want to refer to the array by UUID or name, if it has one.

Please let me know if you find your arrays under the "Unknown" group.

Comment 2 Fedora End Of Life 2015-05-29 12:27:23 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:43:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.